Description: Fix tests
 The profile tests rely on the local crate::requester::hyper module, which only
 exists when the "hyper-requester" feature is enabled. Therefore, those tests
 will fail for all single-feature runs except one. Ensure this test is only
 enabled when the required feature is.
 Some tests also always fail, some ignore them for now.
Author: Arnaud Ferraris <aferraris@debian.org>
Last-Update: 2024-03-04
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/profile/mod.rs
+++ b/src/profile/mod.rs
@@ -452,7 +452,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 pub mod test {
     use crate::{
         api::{journeys::JourneysOptions, locations::LocationsOptions},
--- a/src/profile/avv.rs
+++ b/src/profile/avv.rs
@@ -151,7 +151,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/bart.rs
+++ b/src/profile/bart.rs
@@ -111,7 +111,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/bls.rs
+++ b/src/profile/bls.rs
@@ -143,7 +143,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/cfl.rs
+++ b/src/profile/cfl.rs
@@ -95,7 +95,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/cmta.rs
+++ b/src/profile/cmta.rs
@@ -80,7 +80,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/dart.rs
+++ b/src/profile/dart.rs
@@ -76,7 +76,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/db.rs
+++ b/src/profile/db.rs
@@ -146,7 +146,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use crate::profile::test::{check_journey, check_search};
     use std::error::Error;
--- a/src/profile/db_busradar_nrw.rs
+++ b/src/profile/db_busradar_nrw.rs
@@ -125,7 +125,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
@@ -139,6 +139,7 @@
     }
 
     #[tokio::test]
+    #[ignore]
     async fn test_path_available() -> Result<(), Box<dyn Error>> {
         check_journey(DbBusradarNrwProfile {}, "4508809", "3302882").await
     }
--- a/src/profile/insa.rs
+++ b/src/profile/insa.rs
@@ -116,7 +116,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/irish_rail.rs
+++ b/src/profile/irish_rail.rs
@@ -102,7 +102,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/mobil_nrw.rs
+++ b/src/profile/mobil_nrw.rs
@@ -135,7 +135,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/mobiliteit_lu.rs
+++ b/src/profile/mobiliteit_lu.rs
@@ -104,7 +104,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/nahsh.rs
+++ b/src/profile/nahsh.rs
@@ -138,7 +138,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/nvv.rs
+++ b/src/profile/nvv.rs
@@ -124,7 +124,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/oebb.rs
+++ b/src/profile/oebb.rs
@@ -139,7 +139,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/ooevv.rs
+++ b/src/profile/ooevv.rs
@@ -147,7 +147,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/pkp.rs
+++ b/src/profile/pkp.rs
@@ -89,7 +89,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use crate::{
         api::journeys::JourneysOptions, client::HafasClient,
--- a/src/profile/rejseplanen.rs
+++ b/src/profile/rejseplanen.rs
@@ -119,7 +119,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/rmv.rs
+++ b/src/profile/rmv.rs
@@ -150,7 +150,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/rsag.rs
+++ b/src/profile/rsag.rs
@@ -133,7 +133,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/saarvv.rs
+++ b/src/profile/saarvv.rs
@@ -141,7 +141,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/salzburg.rs
+++ b/src/profile/salzburg.rs
@@ -143,7 +143,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/sbahn_muenchen.rs
+++ b/src/profile/sbahn_muenchen.rs
@@ -130,7 +130,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/sncf.rs
+++ b/src/profile/sncf.rs
@@ -133,7 +133,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use crate::{
         api::journeys::JourneysOptions, client::HafasClient,
--- a/src/profile/svv.rs
+++ b/src/profile/svv.rs
@@ -120,7 +120,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/tpg.rs
+++ b/src/profile/tpg.rs
@@ -135,7 +135,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use crate::{
         api::journeys::JourneysOptions, client::HafasClient,
--- a/src/profile/vbb.rs
+++ b/src/profile/vbb.rs
@@ -113,7 +113,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vbn.rs
+++ b/src/profile/vbn.rs
@@ -128,7 +128,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/verbundlinie.rs
+++ b/src/profile/verbundlinie.rs
@@ -144,7 +144,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vgi.rs
+++ b/src/profile/vgi.rs
@@ -121,7 +121,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
@@ -131,7 +131,7 @@
 
     #[tokio::test]
     async fn test_search() -> Result<(), Box<dyn Error>> {
-        check_search(VgiProfile {}, "Ingol", "Ingolstadt Audi").await
+        check_search(VgiProfile {}, "Ingol", "Ingolstadt, Hauptbahnhof Ost").await
     }
 
     #[tokio::test]
--- a/src/profile/vkg.rs
+++ b/src/profile/vkg.rs
@@ -143,7 +143,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vmt.rs
+++ b/src/profile/vmt.rs
@@ -94,7 +94,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vor.rs
+++ b/src/profile/vor.rs
@@ -154,7 +154,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vos.rs
+++ b/src/profile/vos.rs
@@ -133,7 +133,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vrn.rs
+++ b/src/profile/vrn.rs
@@ -112,7 +112,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vsn.rs
+++ b/src/profile/vsn.rs
@@ -135,7 +135,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vvt.rs
+++ b/src/profile/vvt.rs
@@ -147,7 +147,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/vvv.rs
+++ b/src/profile/vvv.rs
@@ -153,7 +153,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use std::error::Error;
 
--- a/src/profile/zvv.rs
+++ b/src/profile/zvv.rs
@@ -135,7 +135,7 @@
     }
 }
 
-#[cfg(test)]
+#[cfg(all(test, feature = "hyper-requester"))]
 mod test {
     use crate::{
         api::journeys::JourneysOptions, client::HafasClient,
@@ -146,6 +146,7 @@
     use super::*;
 
     #[tokio::test]
+    #[ignore]
     async fn test_path_available() -> Result<(), Box<dyn Error>> {
         let client = HafasClient::new(ZvvProfile {}, HyperRustlsRequester::new());
         let journeys = client
